Get an automation workflow
curl --request GET \
--url https://api.journeybee.io/v1/automations/{uuid} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.journeybee.io/v1/automations/{uuid}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.journeybee.io/v1/automations/{uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"uuid": "<string>",
"label": "<string>",
"description": "<string>",
"active": true,
"trigger_type": "entity_change",
"trigger_entity": "partnership",
"trigger_event": "created",
"created_at": "<string>",
"updated_at": "<string>",
"workflow_definition": {
"nodes": [
{
"id": "<string>",
"type": "trigger",
"position": {
"x": 123,
"y": 123
},
"data": {
"label": "<string>",
"triggerType": "entity_change"
}
}
],
"edges": [
{
"id": "<string>",
"source": "<string>",
"target": "<string>",
"sourceHandle": "<string>",
"targetHandle": "<string>"
}
]
}
}Automations
Get an automation workflow
GET
/
automations
/
{uuid}
Get an automation workflow
Authorizations
API key authentication. Use "Bearer <api_key>" or "Api-Key <api_key>".
Path Parameters
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Response
200 - application/json
Default Response
Available options:
entity_change, user_action, scheduled, manual, stage_change, engagement Available options:
partnership, lead, deal, resource, certification, user, card, campaign, form, engagement, task Available options:
created, updated, deleted, viewed, completed, stage_entered, stage_exited, started, downloaded, clicked, shared, submitted, failed Show child attributes
Show child attributes